/*   Human Machine Interface: handling streams of files.
*/
/************************************************ HMI TOOLS ************************************************/
#define HMI_SCILAB                   0                    // Warning : 0 = first enreg of the array.
#define HMI_GNUPLOT                  1
#define HMI_GNUPLOT_SPEEDDISP_RAD    2
#define HMI_GNUPLOT_SPEEDDISP_TAN    3
#define HMI_GNUPLOT_SPEEDSIGMA_RAD   4
#define HMI_GNUPLOT_SPEEDSIGMA_TAN   5
#define HMI_GNUPLOT_SPEEDMEAN_TAN    6
#define HMI_GNUPLOT_MSPEEDMEAN_TAN   7
#define HMI_GNUPLOT_MATD             8
#define HMI_GNUPLOT_MEANMATD         9
#define HMI_GNUPLOT_LOGMEANMATD     10
#define HMI_GNUPLOT_STETNBPART      11
#define NB_HMI_TOOL                 12   

#define LGMAX_SOFTNAME		          40
typedef struct
{
  unsigned long NbMaxPartPlotted;
	unsigned char SoftName[LGMAX_SOFTNAME];
	unsigned char CommentChar[LGMAX_SOFTNAME];
	unsigned char GnuFile[LGMAX_SOFTNAME];
	unsigned int  PartDelta;
}HmiTool_t;

/************************************************** FILES *************************************************/
#define NB_FILE_SET	  	     24  
#define LGMAX_FILENAME		   40
#define LGMAX_CMDNAME		     (LGMAX_FILENAME + 30)
typedef struct
{
	long int NbStepInFile;
	long int NbPrintInFile;
	long int PrintDelta;
	unsigned long int NbFileMax;          // 0 if no Maximum file.
	unsigned char FileType;               // HMI_TOOL.
	char     SetName[LGMAX_FILENAME];
	char     FinalNameWithoutExt[LGMAX_FILENAME];
	char     FinalNamePlusPathWithoutExt[LGMAX_FILENAME];
	char     FinalNamePlusPath[LGMAX_FILENAME];
	FILE *   pFile;
}FilesToPlot_t;

#if MODE_DEBUG == DEBUG_SOLSYST
  /***********************************************************************************************************/
  /************************************** CONFIG FILES DEBUG SOLAR SYSTEM ************************************/
  /***********************************************************************************************************/

  /* --------------------------------------------- SCI LAB ------------------------------------------------- */
  /* --------------------------------------------- Small files --------------------------------------------- */
  #define NB_STEP_IN_SFILE    10
  #define NB_PRINT_IN_SFILE	  10   //(5*24)//  #define NB_PRINT_IN_SFILE	100
  #define PRINT_SDELTA		    (NB_STEP_IN_SFILE/NB_PRINT_IN_SFILE)
  #define NB_SFILE_MAX		    10
  #define SFILE_TYPE          HMI_SCILAB
  /* ------------------------------------------- Medium files --------------------------------------------- */
  #define NB_STEP_IN_MFILE	  100         
  #define NB_PRINT_IN_MFILE	  10
  #define PRINT_MDELTA		    (NB_STEP_IN_MFILE/NB_PRINT_IN_MFILE)
  #define NB_MFILE_MAX		    0
  #define MFILE_TYPE          HMI_SCILAB
  /* ------------------------------------------- Big files --------------------------------------------- */
  #define NB_STEP_IN_BFILE	  0
  #define NB_PRINT_IN_BFILE	  0
  #define PRINT_BDELTA		    0
  #define NB_BFILE_MAX		    0
  #define BFILE_TYPE          0
  /* ------------------------------------------- Very big files ------------------------------------------ */
  #define NB_STEP_IN_VBFILE	  0
  #define NB_PRINT_IN_VBFILE  0
  #define PRINT_VBDELTA		    0
  #define NB_VBFILE_MAX		    0
  #define VBFILE_TYPE         0

  /* --------------------------------------------- GNU --------------------------------------------- */
  /* --------------------------------------------- Small files --------------------------------------------- */
  #define NB_STEP_IN_GSFILE   10
  #define NB_PRINT_IN_GSFILE	10   //(5*24)//  #define NB_PRINT_IN_SFILE	100
  #define PRINT_GSDELTA		    (NB_STEP_IN_GSFILE/NB_PRINT_IN_GSFILE)
  #define NB_GSFILE_MAX		    30
  #define GSFILE_TYPE         HMI_GNUPLOT
  /* ------------------------------------------- Medium files --------------------------------------------- */
  #define NB_STEP_IN_GMFILE	  100         
  #define NB_PRINT_IN_GMFILE  100
  #define PRINT_GMDELTA		    (NB_STEP_IN_GMFILE/NB_PRINT_IN_GMFILE)
  #define NB_GMFILE_MAX		    0
  #define GMFILE_TYPE         HMI_GNUPLOT
  /* ------------------------------------------- Big files --------------------------------------------- */
  #define NB_STEP_IN_GBFILE	  0
  #define NB_PRINT_IN_GBFILE	0
  #define PRINT_GBDELTA		    0
  #define NB_GBFILE_MAX		    0
  #define GBFILE_TYPE         0
  /* ------------------------------------------- Very big files ------------------------------------------ */
  #define NB_STEP_IN_GVBFILE	0
  #define NB_PRINT_IN_GVBFILE 0
  #define PRINT_GVBDELTA		  0
  #define NB_GVBFILE_MAX		  0
  #define GVBFILE_TYPE        0

  /* ------------------------------------------- GNU Speed dispersion -------------------------------------- */
  /* ------------------------------------------ Small Speed Radial Dispersion files -------------------- */
  #define NB_STEP_IN_SDRSFILE	 0           
  #define NB_PRINT_IN_SDRSFILE 0			      
  #define PRINT_SDRSDELTA		   0
  #define NB_SDRSFILE_MAX		   0
  #define SDRSFILE_TYPE        0
  /* ------------------------------------------ Medium Speed Radial Dispersion files ------------------- */
  #define NB_STEP_IN_SDRMFILE	 0           
  #define NB_PRINT_IN_SDRMFILE 0			      
  #define PRINT_SDRMDELTA		   0
  #define NB_SDRMFILE_MAX		   0
  #define SDRMFILE_TYPE        0
  /* ------------------------------------------ Small Speed Tangential Dispersion files -------------------- */
  #define NB_STEP_IN_SDTSFILE	 0           
  #define NB_PRINT_IN_SDTSFILE 0			      
  #define PRINT_SDTSDELTA		   0
  #define NB_SDTSFILE_MAX		   0
  #define SDTSFILE_TYPE        0
  /* ------------------------------------------ Medium Speed Tangential Dispersion files ------------------- */
  #define NB_STEP_IN_SDTMFILE	 0           
  #define NB_PRINT_IN_SDTMFILE 0			      
  #define PRINT_SDTMDELTA		   0
  #define NB_SDTMFILE_MAX		   0
  #define SDTMFILE_TYPE        0

  /* ------------------------------------------- GNU Speed SIGMA ---------------------------------- */
  /* ------------------------------------------ Small Speed radial SIGMA files -------------------- */
  #define NB_STEP_IN_SIGRSFILE	0           
  #define NB_PRINT_IN_SIGRSFILE 0			      
  #define PRINT_SIGRSDELTA		  0
  #define NB_SIGRSFILE_MAX		  0
  #define SIGRSFILE_TYPE        0
  /* ------------------------------------------ Medium Speed radial SIGMA files ------------------- */
  #define NB_STEP_IN_SIGRMFILE	0           
  #define NB_PRINT_IN_SIGRMFILE 0			      
  #define PRINT_SIGRMDELTA		  0
  #define NB_SIGRMFILE_MAX		  0
  #define SIGRMFILE_TYPE        0
  /* ------------------------------------------ Small Speed Tangential SIGMA files ---------------- */
  #define NB_STEP_IN_SIGTSFILE	0           
  #define NB_PRINT_IN_SIGTSFILE 0			      
  #define PRINT_SIGTSDELTA		  0
  #define NB_SIGTSFILE_MAX		  0
  #define SIGTSFILE_TYPE        0
  /* ------------------------------------------ Medium Speed Tangential SIGMA files --------------- */
  #define NB_STEP_IN_SIGTMFILE	0           
  #define NB_PRINT_IN_SIGTMFILE 0			      
  #define PRINT_SIGTMDELTA		  0
  #define NB_SIGTMFILE_MAX		  0
  #define SIGTMFILE_TYPE        0

  /* ------------------------------------------- GNU Speed tangential MEAN ------------------------ */
  /* --------------------------------------- Initial Speed tangent MEAN files -------------------- */
  #define NB_STEP_IN_MEANT0FILE	 0           
  #define NB_PRINT_IN_MEANT0FILE 0			      
  #define PRINT_MEANT0DELTA		   0
  #define NB_MEANT0FILE_MAX		   0
  #define MEANT0FILE_TYPE        0
  /* ------------------------------------------ Small Speed tangent MEAN files -------------------- */
  #define NB_STEP_IN_MEANTSFILE	 0           
  #define NB_PRINT_IN_MEANTSFILE 0			      
  #define PRINT_MEANTSDELTA		   0
  #define NB_MEANTSFILE_MAX		   0
  #define MEANTSFILE_TYPE        0
  /* ------------------------------------------ Medium Speed tangent MEAN files ------------------- */
  #define NB_STEP_IN_MEANTMFILE	 0           
  #define NB_PRINT_IN_MEANTMFILE 0			      
  #define PRINT_MEANTMDELTA		   0
  #define NB_MEANTMFILE_MAX		   0
  #define MEANTMFILE_TYPE        0
  /* ------------------------------------------- MEAN Speed tangent MEAN files -------------------- */
  #define NB_STEP_IN_MMEANTMFILE	0           
  #define NB_PRINT_IN_MMEANTMFILE 0			      
  #define PRINT_MMEANTMDELTA		  0
  #define NB_MMEANTMFILE_MAX		  0
  #define MMEANTMFILE_TYPE        0

  /* ------------------------------------------- GNU Matter density ------------------------------- */
  /* -------------------------------------------------- Normal -------------------------------------- */
  #define NB_STEP_IN_MATDFILE	   0           
  #define NB_PRINT_IN_MATDFILE   0			      
  #define PRINT_MATDDELTA		     0
  #define NB_MATDFILE_MAX		     0
  #define MATDFILE_TYPE          0
  /* -------------------------------------------------- Mean -------------------------------------- */
  #define NB_STEP_IN_MEANMATDFILE	 0           
  #define NB_PRINT_IN_MEANMATDFILE 0			      
  #define PRINT_MEANMATDDELTA		   0
  #define NB_MEANMATDFILE_MAX		   0
  #define MEANMATDFILE_TYPE        0
  /* -------------------------------------------------- LOG Mean ---------------------------------- */
  #define NB_STEP_IN_LOGMEANMATDFILE	 0           
  #define NB_PRINT_IN_LOGMEANMATDFILE  0		      
  #define PRINT_LOGMEANMATDDELTA		   0
  #define NB_LOGMEANMATDFILE_MAX		   0
  #define LOGMEANMATDFILE_TYPE         0

  /* ------------------------------------------- STET Nb particles -------------------------------- */
  #define NB_STEP_IN_LOGMEANMATDFILE	 0           
  #define NB_PRINT_IN_LOGMEANMATDFILE  0		      
  #define PRINT_LOGMEANMATDDELTA		   0
  #define NB_LOGMEANMATDFILE_MAX		   0
  #define LOGMEANMATDFILE_TYPE         0 

#else

  /***********************************************************************************************************/
  /**************************************** CONFIG FILES NOT SOL SYST ****************************************/
  /***********************************************************************************************************/

#if NB_DIM == 2

  /***********************************************************************************************************/
  /*                            CONFIG FILES NORMAL CASE (NOT SOL SYST NOT BULLET CLUSTER)                   */
  /*                                                    2D                                                   */
  /***********************************************************************************************************/
  /* --------------------------------------------- SCI LAB ------------------------------------------------- */
  /* --------------------------------------------- Small files --------------------------------------------- */
  #define NB_STEP_IN_SFILE	  0             // With 40000 part, 40 step in 14 min. 
  #define NB_PRINT_IN_SFILE	  0			     // 1000 X 100 = 100000 limite ca rame dans SciLab. 10000 ca passe.
  #define PRINT_SDELTA		    0
  #define NB_SFILE_MAX		    0
  #define SFILE_TYPE          0
  /* ------------------------------------------- Medium files --------------------------------------------- */
  #define NB_STEP_IN_MFILE	  0       
  #define NB_PRINT_IN_MFILE	  0			     
  #define PRINT_MDELTA		    0
  #define NB_MFILE_MAX		    0
  #define MFILE_TYPE          0
  /* --------------------------------------------- Big files --------------------------------------------- */
  #define NB_STEP_IN_BFILE	  0        
  #define NB_PRINT_IN_BFILE	  0			      
  #define PRINT_BDELTA		    0
  #define NB_BFILE_MAX		    0
  #define BFILE_TYPE          0
  /* --------------------------------------------- Very Big files ------------------------------------------ */
  #define NB_STEP_IN_VBFILE	  0      
  #define NB_PRINT_IN_VBFILE  0			      
  #define PRINT_VBDELTA		    0
  #define NB_VBFILE_MAX		    0
  #define VBFILE_TYPE         0

  /* --------------------------------------------- GNU --------------------------------------------- */
  /* --------------------------------------------- Small files --------------------------------------------- */
  #define NB_STEP_IN_GSFILE	  10             // With 40000 part, 40 step in 14 min. 
  #define NB_PRINT_IN_GSFILE	1			     // 1000 X 100 = 100000 limite ca rame dans SciLab. 10000 ca passe.
  #define PRINT_GSDELTA		    (NB_STEP_IN_GSFILE/NB_PRINT_IN_GSFILE)
  #define NB_GSFILE_MAX		    20
  #define GSFILE_TYPE         HMI_GNUPLOT
  /* ------------------------------------------- Medium files --------------------------------------------- */
  #define NB_STEP_IN_GMFILE	  1000             
  #define NB_PRINT_IN_GMFILE	1			     
  #define PRINT_GMDELTA		    (NB_STEP_IN_GMFILE/NB_PRINT_IN_GMFILE)
  #define NB_GMFILE_MAX		    0
  #define GMFILE_TYPE         HMI_GNUPLOT
  /* --------------------------------------------- Big files --------------------------------------------- */
  #define NB_STEP_IN_GBFILE	  10000        
  #define NB_PRINT_IN_GBFILE	1			      
  #define PRINT_GBDELTA		    (NB_STEP_IN_GBFILE/NB_PRINT_IN_GBFILE)
  #define NB_GBFILE_MAX		    0
  #define GBFILE_TYPE         HMI_GNUPLOT
  /* --------------------------------------------- Very Big files ------------------------------------------ */
  #define NB_STEP_IN_GVBFILE	100000           
  #define NB_PRINT_IN_GVBFILE 1			      
  #define PRINT_GVBDELTA		  (NB_STEP_IN_GVBFILE/NB_PRINT_IN_GVBFILE)
  #define NB_GVBFILE_MAX		  0
  #define GVBFILE_TYPE        HMI_GNUPLOT

  /* ------------------------------------------- GNU Speed dispersion -------------------------------------- */
  /* ------------------------------------------ Small Speed Radial Dispersion files -------------------- */
  #define NB_STEP_IN_SDRSFILE	 1000           
  #define NB_PRINT_IN_SDRSFILE 1			      
  #define PRINT_SDRSDELTA		   (NB_STEP_IN_SDRSFILE/NB_PRINT_IN_SDRSFILE)
  #define NB_SDRSFILE_MAX		   10
  #define SDRSFILE_TYPE        HMI_GNUPLOT_SPEEDDISP_RAD
  /* ------------------------------------------ Medium Speed Radial Dispersion files ------------------- */
  #define NB_STEP_IN_SDRMFILE	 10000           
  #define NB_PRINT_IN_SDRMFILE 1			      
  #define PRINT_SDRMDELTA		   (NB_STEP_IN_SDRMFILE/NB_PRINT_IN_SDRMFILE)
  #define NB_SDRMFILE_MAX		   0
  #define SDRMFILE_TYPE        HMI_GNUPLOT_SPEEDDISP_RAD
  /* ------------------------------------------ Small Speed Tangential Dispersion files -------------------- */
  #define NB_STEP_IN_SDTSFILE	 1000           
  #define NB_PRINT_IN_SDTSFILE 1			      
  #define PRINT_SDTSDELTA		   (NB_STEP_IN_SDTSFILE/NB_PRINT_IN_SDTSFILE)
  #define NB_SDTSFILE_MAX		   10
  #define SDTSFILE_TYPE        HMI_GNUPLOT_SPEEDDISP_TAN
  /* ------------------------------------------ Medium Speed Tangential Dispersion files ------------------- */
  #define NB_STEP_IN_SDTMFILE	 10000           
  #define NB_PRINT_IN_SDTMFILE 1			      
  #define PRINT_SDTMDELTA		   (NB_STEP_IN_SDTMFILE/NB_PRINT_IN_SDTMFILE)
  #define NB_SDTMFILE_MAX		   0
  #define SDTMFILE_TYPE        HMI_GNUPLOT_SPEEDDISP_TAN

  /* ------------------------------------------- GNU Speed SIGMA ---------------------------------- */
  /* ------------------------------------------ Small Speed radial SIGMA files -------------------- */
  #define NB_STEP_IN_SIGRSFILE	1000           
  #define NB_PRINT_IN_SIGRSFILE 1			      
  #define PRINT_SIGRSDELTA		  (NB_STEP_IN_SIGRSFILE/NB_PRINT_IN_SIGRSFILE)
  #define NB_SIGRSFILE_MAX		  10
  #define SIGRSFILE_TYPE        HMI_GNUPLOT_SPEEDSIGMA_RAD
  /* ------------------------------------------ Medium Speed radial SIGMA files ------------------- */
  #define NB_STEP_IN_SIGRMFILE	10000           
  #define NB_PRINT_IN_SIGRMFILE 1			      
  #define PRINT_SIGRMDELTA		  (NB_STEP_IN_SIGRMFILE/NB_PRINT_IN_SIGRMFILE)
  #define NB_SIGRMFILE_MAX		  0
  #define SIGRMFILE_TYPE        HMI_GNUPLOT_SPEEDSIGMA_RAD
  /* ------------------------------------------ Small Speed Tangential SIGMA files ---------------- */
  #define NB_STEP_IN_SIGTSFILE	1000           
  #define NB_PRINT_IN_SIGTSFILE 1			      
  #define PRINT_SIGTSDELTA		  (NB_STEP_IN_SIGTSFILE/NB_PRINT_IN_SIGTSFILE)
  #define NB_SIGTSFILE_MAX		  10
  #define SIGTSFILE_TYPE        HMI_GNUPLOT_SPEEDSIGMA_TAN
  /* ------------------------------------------ Medium Speed Tangential SIGMA files --------------- */
  #define NB_STEP_IN_SIGTMFILE	10000           
  #define NB_PRINT_IN_SIGTMFILE 1			      
  #define PRINT_SIGTMDELTA		  (NB_STEP_IN_SIGTMFILE/NB_PRINT_IN_SIGTMFILE)
  #define NB_SIGTMFILE_MAX		  0
  #define SIGTMFILE_TYPE        HMI_GNUPLOT_SPEEDSIGMA_TAN

  /* ------------------------------------------- GNU Speed MEAN ---------------------------------- */
  /* --------------------------------------- Initial Speed tangent MEAN files -------------------- */
  #define NB_STEP_IN_MEANT0FILE	 1           
  #define NB_PRINT_IN_MEANT0FILE 1			      
  #define PRINT_MEANT0DELTA		   (NB_STEP_IN_MEANT0FILE/NB_PRINT_IN_MEANT0FILE)
  #define NB_MEANT0FILE_MAX		   1
  #define MEANT0FILE_TYPE        HMI_GNUPLOT_SPEEDMEAN_TAN
  /* ------------------------------------------ Small Speed tangent MEAN files -------------------- */
  #define NB_STEP_IN_MEANTSFILE	 10           
  #define NB_PRINT_IN_MEANTSFILE 1			      
  #define PRINT_MEANTSDELTA		   (NB_STEP_IN_MEANTSFILE/NB_PRINT_IN_MEANTSFILE)
  #define NB_MEANTSFILE_MAX		   20
  #define MEANTSFILE_TYPE        HMI_GNUPLOT_SPEEDMEAN_TAN
  /* ------------------------------------------ Medium Speed tangent MEAN files ------------------- */
  #define NB_STEP_IN_MEANTMFILE	 1000           
  #define NB_PRINT_IN_MEANTMFILE 1			      
  #define PRINT_MEANTMDELTA		   (NB_STEP_IN_MEANTMFILE/NB_PRINT_IN_MEANTMFILE)
  #define NB_MEANTMFILE_MAX		   0
  #define MEANTMFILE_TYPE        HMI_GNUPLOT_SPEEDMEAN_TAN
  /* ------------------------------------------- MEAN Speed tangent MEAN files -------------------- */
  #define NB_STEP_IN_MMEANTMFILE	1000           
  #define NB_PRINT_IN_MMEANTMFILE 1			      
  #define PRINT_MMEANTMDELTA		  (NB_STEP_IN_MMEANTMFILE/NB_PRINT_IN_MMEANTMFILE)
  #define NB_MMEANTMFILE_MAX		  0
  #define MMEANTMFILE_TYPE        HMI_GNUPLOT_MSPEEDMEAN_TAN

  /* ------------------------------------------- GNU Matter density ------------------------------- */
  /* -------------------------------------------------- Normal ------------------------------------ */
  #define NB_STEP_IN_MATDFILE	 0 //100           
  #define NB_PRINT_IN_MATDFILE 0			      
  #define PRINT_MATDDELTA		   0
  #define NB_MATDFILE_MAX		   0
  #define MATDFILE_TYPE        0
  /* -------------------------------------------------- Mean -------------------------------------- */
  #define NB_STEP_IN_MEANMATDFILE	 0 //100           
  #define NB_PRINT_IN_MEANMATDFILE 0			      
  #define PRINT_MEANMATDDELTA		   0
  #define NB_MEANMATDFILE_MAX		   0
  #define MEANMATDFILE_TYPE        0
  /* --------------------------------------------- Logarithmic Mean ------------------------------- */
  #define NB_STEP_IN_LOGMEANMATDFILE	1000 //100           
  #define NB_PRINT_IN_LOGMEANMATDFILE 1			      
  #define PRINT_LOGMEANMATDDELTA		  (NB_STEP_IN_LOGMEANMATDFILE/NB_PRINT_IN_LOGMEANMATDFILE)
  #define NB_LOGMEANMATDFILE_MAX		  0
  #define LOGMEANMATDFILE_TYPE        HMI_GNUPLOT_LOGMEANMATD

  /* ------------------------------------------- STET Nb particles -------------------------------- */
  #define NB_STEP_IN_STETNBPART	  10000            
  #define NB_PRINT_IN_STETNBPART  1		      
  #define PRINT_STETNBPARTDELTA		(NB_STEP_IN_STETNBPART/NB_PRINT_IN_STETNBPART)
  #define NB_STETNBPART_MAX		    0
  #define STETNBPART_TYPE         HMI_GNUPLOT_STETNBPART 

#elif NB_DIM == 3

  /***********************************************************************************************************/
  /*                                        CONFIG FILES NOT SOL SYST                                        */
  /*                                                    3D                                                   */
  /***********************************************************************************************************/
  /* --------------------------------------------- SCI LAB ------------------------------------------------- */
  /* --------------------------------------------- Small files --------------------------------------------- */
  #define NB_STEP_IN_SFILE	  0 
  #define NB_PRINT_IN_SFILE	  0			     // 1000 X 100 = 100000 limite ca rame dans SciLab. 10000 ca passe.
  #define PRINT_SDELTA		    0
  #define NB_SFILE_MAX		    0
  #define SFILE_TYPE          0
  /* ------------------------------------------- Medium files --------------------------------------------- */
  #define NB_STEP_IN_MFILE	  0             
  #define NB_PRINT_IN_MFILE	  0			     
  #define PRINT_MDELTA		    0
  #define NB_MFILE_MAX		    0
  #define MFILE_TYPE          0
  /* --------------------------------------------- Big files --------------------------------------------- */
  #define NB_STEP_IN_BFILE	  0        
  #define NB_PRINT_IN_BFILE	  0			      
  #define PRINT_BDELTA		    0
  #define NB_BFILE_MAX		    0
  #define BFILE_TYPE          0
  /* --------------------------------------------- Very Big files ------------------------------------------ */
  #define NB_STEP_IN_VBFILE	  0           
  #define NB_PRINT_IN_VBFILE  0			      
  #define PRINT_VBDELTA		    0
  #define NB_VBFILE_MAX		    0
  #define VBFILE_TYPE         0

  /* --------------------------------------------- GNU --------------------------------------------- */
  /* --------------------------------------------- Small files --------------------------------------------- */
  #define NB_STEP_IN_GSFILE	  2 
  #define NB_PRINT_IN_GSFILE	1			     // 1000 X 100 = 100000 limite ca rame dans SciLab. 10000 ca passe.
  #define PRINT_GSDELTA		    (NB_STEP_IN_GSFILE/NB_PRINT_IN_GSFILE)
  #define NB_GSFILE_MAX		    5
  #define GSFILE_TYPE         HMI_GNUPLOT
  /* ------------------------------------------- Medium files --------------------------------------------- */
  #define NB_STEP_IN_GMFILE	  10             
  #define NB_PRINT_IN_GMFILE	1			     
  #define PRINT_GMDELTA		    (NB_STEP_IN_GMFILE/NB_PRINT_IN_GMFILE)
  #define NB_GMFILE_MAX		    0
  #define GMFILE_TYPE         HMI_GNUPLOT
  /* --------------------------------------------- Big files --------------------------------------------- */
  #define NB_STEP_IN_GBFILE	  100        
  #define NB_PRINT_IN_GBFILE	1			      
  #define PRINT_GBDELTA		    (NB_STEP_IN_GBFILE/NB_PRINT_IN_GBFILE)
  #define NB_GBFILE_MAX		    0
  #define GBFILE_TYPE         HMI_GNUPLOT
  /* --------------------------------------------- Very Big files ------------------------------------------ */
  #define NB_STEP_IN_GVBFILE	1000           
  #define NB_PRINT_IN_GVBFILE 1			      
  #define PRINT_GVBDELTA		  (NB_STEP_IN_GVBFILE/NB_PRINT_IN_GVBFILE)
  #define NB_GVBFILE_MAX		  0
  #define GVBFILE_TYPE        HMI_GNUPLOT

  /* ------------------------------------------- GNU Speed dispersion -------------------------------------- */
  /* ------------------------------------------ Small Speed Radial Dispersion files -------------------- */
  #define NB_STEP_IN_SDRSFILE	 0           
  #define NB_PRINT_IN_SDRSFILE 0			      
  #define PRINT_SDRSDELTA		   0
  #define NB_SDRSFILE_MAX		   0
  #define SDRSFILE_TYPE        0
  /* ------------------------------------------ Medium Speed Radial Dispersion files ------------------- */
  #define NB_STEP_IN_SDRMFILE	 0           
  #define NB_PRINT_IN_SDRMFILE 0			      
  #define PRINT_SDRMDELTA		   0
  #define NB_SDRMFILE_MAX		   0
  #define SDRMFILE_TYPE        0
  /* ------------------------------------------ Small Speed Tangential Dispersion files -------------------- */
  #define NB_STEP_IN_SDTSFILE	 0           
  #define NB_PRINT_IN_SDTSFILE 0			      
  #define PRINT_SDTSDELTA		   0
  #define NB_SDTSFILE_MAX		   0
  #define SDTSFILE_TYPE        0
  /* ------------------------------------------ Medium Speed Tangential Dispersion files ------------------- */
  #define NB_STEP_IN_SDTMFILE	 0           
  #define NB_PRINT_IN_SDTMFILE 0			      
  #define PRINT_SDTMDELTA		   0
  #define NB_SDTMFILE_MAX		   0
  #define SDTMFILE_TYPE        0

  /* ------------------------------------------- GNU Speed SIGMA ---------------------------------- */
  /* ------------------------------------------ Small Speed radial SIGMA files -------------------- */
  #define NB_STEP_IN_SIGRSFILE	0           
  #define NB_PRINT_IN_SIGRSFILE 0			      
  #define PRINT_SIGRSDELTA		  0
  #define NB_SIGRSFILE_MAX		  0
  #define SIGRSFILE_TYPE        0
  /* ------------------------------------------ Medium Speed radial SIGMA files ------------------- */
  #define NB_STEP_IN_SIGRMFILE	0           
  #define NB_PRINT_IN_SIGRMFILE 0			      
  #define PRINT_SIGRMDELTA		  0
  #define NB_SIGRMFILE_MAX		  0
  #define SIGRMFILE_TYPE        0
  /* ------------------------------------------ Small Speed Tangential SIGMA files ---------------- */
  #define NB_STEP_IN_SIGTSFILE	0           
  #define NB_PRINT_IN_SIGTSFILE 0			      
  #define PRINT_SIGTSDELTA		  0
  #define NB_SIGTSFILE_MAX		  0
  #define SIGTSFILE_TYPE        0
  /* ------------------------------------------ Medium Speed Tangential SIGMA files --------------- */
  #define NB_STEP_IN_SIGTMFILE	0           
  #define NB_PRINT_IN_SIGTMFILE 0			      
  #define PRINT_SIGTMDELTA		  0
  #define NB_SIGTMFILE_MAX		  0
  #define SIGTMFILE_TYPE        0

  /* ------------------------------------------- GNU Speed MEAN ---------------------------------- */
  /* --------------------------------------- Initial Speed tangent MEAN files -------------------- */
  #define NB_STEP_IN_MEANT0FILE	 0           
  #define NB_PRINT_IN_MEANT0FILE 0			      
  #define PRINT_MEANT0DELTA		   0
  #define NB_MEANT0FILE_MAX		   0
  #define MEANT0FILE_TYPE        0
  /* ------------------------------------------ Small Speed tangent MEAN files -------------------- */
  #define NB_STEP_IN_MEANTSFILE	 0           
  #define NB_PRINT_IN_MEANTSFILE 0			      
  #define PRINT_MEANTSDELTA		   0
  #define NB_MEANTSFILE_MAX		   0
  #define MEANTSFILE_TYPE        0
  /* ------------------------------------------ Medium Speed tangent MEAN files ------------------- */
  #define NB_STEP_IN_MEANTMFILE	 0           
  #define NB_PRINT_IN_MEANTMFILE 0			      
  #define PRINT_MEANTMDELTA		   0
  #define NB_MEANTMFILE_MAX		   0
  #define MEANTMFILE_TYPE        0
  /* ------------------------------------------- MEAN Speed tangent MEAN files -------------------- */
  #define NB_STEP_IN_MMEANTMFILE	0           
  #define NB_PRINT_IN_MMEANTMFILE 0			      
  #define PRINT_MMEANTMDELTA		  0
  #define NB_MMEANTMFILE_MAX		  0
  #define MMEANTMFILE_TYPE        0

  /* ------------------------------------------- GNU Matter density ------------------------------- */
  /* -------------------------------------------------- Normal -------------------------------------- */
  #define NB_STEP_IN_MATDFILE	   0           
  #define NB_PRINT_IN_MATDFILE   0			      
  #define PRINT_MATDDELTA		     0
  #define NB_MATDFILE_MAX		     0
  #define MATDFILE_TYPE          0
  /* -------------------------------------------------- Mean -------------------------------------- */
  #define NB_STEP_IN_MEANMATDFILE	 0           
  #define NB_PRINT_IN_MEANMATDFILE 0			      
  #define PRINT_MEANMATDDELTA		   0
  #define NB_MEANMATDFILE_MAX		   0
  #define MEANMATDFILE_TYPE        0
  /* -------------------------------------------------- LOG Mean ----------------------------------- */
  #define NB_STEP_IN_LOGMEANMATDFILE	 0           
  #define NB_PRINT_IN_LOGMEANMATDFILE  0		      
  #define PRINT_LOGMEANMATDDELTA		   0
  #define NB_LOGMEANMATDFILE_MAX		   0
  #define LOGMEANMATDFILE_TYPE         0

  /* ------------------------------------------- STET Nb particles -------------------------------- */
  #define NB_STEP_IN_LOGMEANMATDFILE	 0           
  #define NB_PRINT_IN_LOGMEANMATDFILE  0		      
  #define PRINT_LOGMEANMATDDELTA		   0
  #define NB_LOGMEANMATDFILE_MAX		   0
  #define LOGMEANMATDFILE_TYPE         0 
#endif
#endif

/* --------------------------------- Directory names for mode -------------------------------- */
#if GRAVIT_MODEL == NEWTON
  #define MODE_NAME       "n"
#elif GRAVIT_MODEL == STET
  #define MODE_NAME       "s"
#elif GRAVIT_MODEL == TELT
  #define MODE_NAME       "Telt"
#else
  #define MODE_NAME       "ERROR"
#endif

/****************************************** GLOBAL VARIABLES ***********************************************/
extern FilesToPlot_t FileSet[NB_FILE_SET];         // Declared by this files_and_tools.c file.
extern HmiTool_t HmiTool[NB_HMI_TOOL];             // Declared by this files_and_tools.c file.
