/*   3D ONLY INITIALISATION OF THE GROUP OF PARTICLES (initialisation of the "galaxy").
     Not used in the 2D simulations. Therefore this file is DEPRECATED.
*/

#include <stdlib.h> 
#include <string.h> 
#include <stdio.h>
#include <math.h>
#ifdef _OPENMP          
#include <omp.h>
#endif
#include "common.h"
#include "particles.h"
#include "stet.h"
#include "init.h"
#include "init3d.h"

#if (NB_DIM == 3)
void InitPartCube()                        // Init of a cube with constant matter density.
{
	int i, j, k, ind;
  double SigmaPos, SigmaSpeed, randDispl0, randDispl1, randDispl2;
	double x0, y0, z0;

	NbPart = NBPART_CUBE;
  Gravit_dt = DT_CUBE;
	PartMass = PART_MASS_CUBE;
	if (NbPart > NBMAX_PART) Error(800);

//	x0 = y0 = z0 = CORR * (NBPART3 - 1) * PART_DIST_CUBE / 2;       // Middle of the group.
	x0 = y0 = z0 = 0;

	for (i = 0; i < NBPART3; i++)
	{
		for (j = 0; j < NBPART3; j++)
		{
      for (k = 0; k < NBPART3; k++)
      {
			  ind = i * NBPART3 * NBPART3 + j * NBPART3 + k;
			  Part[ind].acc[0] = 0;
			  Part[ind].acc[1] = 0;
			  Part[ind].acc[2] = 0;
			  Part[ind].posold[0] = PART_DIST_CUBE * i - x0;
			  Part[ind].posold[1] = PART_DIST_CUBE * j - y0;
			  Part[ind].posold[2] = PART_DIST_CUBE * k - z0;
	      SigmaPos = SIGMA_POS_CUBE;
        randDispl0 = SigmaPos * NormalGauss();
        randDispl1 = SigmaPos * NormalGauss();
        randDispl2 = SigmaPos * NormalGauss();
        Part[ind].posold[0] += randDispl0;
        Part[ind].posold[1] += randDispl1;
        Part[ind].posold[2] += randDispl2;
	      SigmaSpeed = SIGMA_V0_CUBE;
        randDispl0 = SigmaSpeed * NormalGauss() * Gravit_dt;
        randDispl1 = SigmaSpeed * NormalGauss() * Gravit_dt;
        randDispl2 = SigmaSpeed * NormalGauss() * Gravit_dt;
        Part[ind].pos[0] = Part[ind].posold[0] + randDispl0;
        Part[ind].pos[1] = Part[ind].posold[1] + randDispl1;
        Part[ind].pos[2] = Part[ind].posold[2] + randDispl2;
      }
		}
	}
}

void Init3DSystSol()                         // Init of solar system for testing this prog in 3D.
{
	NbPart = NBPART_SYSTSOL;
	if (NbPart > NBMAX_PART) Error(801);
	PartMass = MASS_SUN / (NbPart - 1);
  Part[0].posold[0] = EARTH_SUN_DIST;
  Part[0].posold[1] = - V_EARTH * Gravit_dt;
  Part[0].pos[0] = Part[0].posold[0];
	RazSolSyst();
}

void Init3DSystSolOblique()                         // Init of solar system for testing this prog in 3D in a "3D plan".
{
  double Pos, alpha, betha, Speed, Speed0, Speed1, Speed2;

	NbPart = NBPART_SYSTSOL;
	if (NbPart > NBMAX_PART) Error(802);
	PartMass = MASS_SUN / (NbPart - 1);
  alpha = PI / 3;
  betha = PI *  5 / (6 * 3);
  Pos = EARTH_SUN_DIST;
  Speed = V_EARTH;
	Part[0].pos[0] = 0;
	Part[0].pos[1] = Pos * cos(alpha);
	Part[0].pos[2] = Pos * sin(alpha);
  Speed0 =   cos(betha) * Speed;
  Speed1 = - sin(betha) * sin(alpha) * Speed;
  Speed2 =   sin(betha) * cos(alpha) * Speed;
	Part[0].posold[0] = Part[0].pos[0] + Speed0 * Gravit_dt;
	Part[0].posold[1] = Part[0].pos[1] + Speed1 * Gravit_dt;
	Part[0].posold[2] = Part[0].pos[2] + Speed2 * Gravit_dt;

	RazSolSyst();
}

#else

void InitPartCube() {}
void Init3DSystSol() {}
void Init3DSystSolOblique() {}

#endif
