/*   Periodic calculations 
     (For 3D only in fact)
*/
#if PERIODIC_CALCUL == 0    // Coded with macros: avoid any call with pop push, for perfs.
  #define IsValidCell(x, y, z)     ((x<0 || y<0 || z<0) ? 0 : GridDisk[x][y][z])
  #define IsValidBigCell(x, y, z)  IsValidCell(x, y, z)   // Avoiding indirectly fringe of grid.
  #define GetModuloPeriodic(x, period)    (x) 
#elif PERIODIC_CALCUL == 1 
  #define IsValidCell(x, y, z)      1       // Every small cell valid in periodic mode.
                                            // Not very optimized ! Can be better...
  #define IsValidBigCell(x, y, z)                                    \
  (                                                                  \
    (    x==0 || x==NBCELLX_GRID-1 || y==0 || y==NBCELLY_GRID-1      \
      || z==0 || z==NBCELLZ_GRID-1                                   \
    )                                                                \
    ?                                                                \
    0 : 1                                                            \
  )
  extern unsigned int GetModuloPeriodic(int x, unsigned int period);
  extern double GetDoubleModuloPeriodic(double x);
  extern unsigned char GetCellPeriod(double pos[], unsigned int NumCell[]);
#endif 
