/*   Calculation of potential from the grid.
*/

/****************** CALCULATION MODEL FOR THE POTENTIAL **********************/
#define MODE_GRID                 0
#define MODE_GRID3                1
#define MODE_FFT                  2
#define MODE_CALCUL_POTENTIAL     MODE_GRID3

/*************************** GLOBAL VARIABLES ********************************/
extern double InvDist[NBCELLX_FFT][NBCELLY_FFT][NBCELLZ_FFT]; 
extern double Potential[NBCELLX_FFT][NBCELLY_FFT][NBCELLZ_FFT];
#if NB_DIM == 2
  extern unsigned char GridDisk[2*NBCELLX_GRID][2*NBCELLY_GRID][NBCELLZ_GRID];     // NBCELLZ_GRID=1 here.
#elif NB_DIM == 3
  extern unsigned char GridDisk[2*NBCELLX_GRID][2*NBCELLY_GRID][2*NBCELLZ_GRID];   // 2* for allowing the test of x, y, z out of bounds of regular grid.
#endif
extern unsigned char GridOptimDisk[NBCELLX_GRID][NBCELLY_GRID][NBCELLZ_GRID];
extern unsigned char GridOptimSquare[NBCELLX_GRID][NBCELLY_GRID][NBCELLZ_GRID];

/*************************** MACROS and FUNCTIONS ****************************/
extern void InitPotential();              // Init of the potential calculations.
extern void CalculatePotentialCell(unsigned int ix, unsigned int iy, unsigned int iz);
extern void CalculatePotentialCell3(unsigned int ix, unsigned int iy, unsigned int iz);
extern void GetAccelFromGalaxyStet(int PartInd, double accel[], unsigned int NumCell[]);
extern void GravitFieldCalculate();    // This function is only used at init time for some cases.
extern void CalculatePotentialCellPeriodic(unsigned int ix,unsigned int iy,unsigned int iz);
extern void CalculatePotentialCell3Periodic(unsigned int ix,unsigned int iy,unsigned int iz);
